| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Functions
capture-pcap-util.h File Reference
`#include <wsutil/feature_list.h>`

Go to the source code of this file.

## Functions
void | gather_caplibs_compile_info (feature_list l)
| Append to a GString an indication of the version of capture libraries with which we're running, or an indication that we're not running with capture libraries if we were compiled with WinPcap or Npcap but WinPcap/Npcap wasn't loaded, or nothing if we weren't compiled with libpcap/WinPcap/Npcap.
void | gather_caplibs_runtime_info (feature_list l)
| Append runtime capture‑library version information to a feature list.

## Detailed Description

Utility definitions for packet capture

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ gather_caplibs_compile_info()

void gather_caplibs_compile_info | ( | feature_list | l | ) |
| extern

Append to a GString an indication of the version of capture libraries with which we're running, or an indication that we're not running with capture libraries if we were compiled with WinPcap or Npcap but WinPcap/Npcap wasn't loaded, or nothing if we weren't compiled with libpcap/WinPcap/Npcap.

Parameters

  l | Feature list to which the information will be appended.

## ◆ gather_caplibs_runtime_info()

void gather_caplibs_runtime_info | ( | feature_list | l | ) |
| extern

Append runtime capture‑library version information to a feature list.

Append to a GString an indication of the version of capture libraries with which we're running, or an indication that we're not running with capture libraries, if we were compiled with WinPcap or Npcap but WinPcap/Npcap wasn't loaded, or nothing, if we weren't compiled with libpcap/WinPcap/Npcap.

Parameters

  l | The feature list to which the runtime information is appended.